
import { connect } from "umi";
import WorkOrderPackTableTreeNew from "../../../components/Manufacture/WorkOrderPackTableTreeNew";

function WorkOrderPackTableTreeNewComponent({ dispatch, app, content }) {
  function removePane(changePanes, currentPane) {
    dispatch({ type: "app/removePane", payload: { changePanes, currentPane } });
  }

  const commonProps = {
    app,
    content,
    dispatch,
    onRemovePane: removePane
  };
  return <WorkOrderPackTableTreeNew {...commonProps} />;
}

export default connect(({ app, content }) => ({ app, content }))(
  WorkOrderPackTableTreeNewComponent
);
